$(document).ready(function () {
    initTable();
    $(".ss").click(function () {
        stype = 1;
        initTable();
    })
    /*高级查询*/
    $(".gjss").click(function () {
        $(".t-shade").addClass("cx");
        $(".gjsu").addClass("cx");
    });
    $("#gjss").click(function () {
        stype = 2;
        initTable();
        $(".t-shade").removeClass("cx");
        $(".gjsu").removeClass("cx");
    })
    $(".setwin").click(function () {
        $(".t-shade").removeClass("cx");
        $(".gjsu").removeClass("cx");
        $(".cbgd").removeClass("cx");
    })
    //详情
    $(".ckxq ul li").click(function () {
        $(this).addClass("Active").siblings().removeClass("Active");
        var i = $(this).index();
        $(".gdxq").hide();
        $(".gdxq").eq(i).show();
        if (i > 0) { cljl(i); }
    });
    $(".Closed").click(function () {
        $(".ckxq").addClass("Hidens");
    });
    /*tree下拉框效果*/
    $(".inpBox .tree").click(function () {
        if ($(this).parent().find(".addTree").is(":hidden")) {
            $(this).parent().find(".addTree").show();
        }
        else {
            $(this).parent().find(".addTree").hide();
        }
    });
    /*普通下拉框效果*/
    $(".inpBox .select").click(function () {
        if ($(this).parent().find(".xl_common").is(":hidden")) {
            $(this).parent().find(".xl_common").show();
        }
        else {
            $(this).parent().find(".xl_common").hide();
        }
    });
    $(".xl").click(function () {
        if ($(this).parent().find(".addTree").is(":hidden")) {
            $(this).parent().find(".addTree").show();
        }
        else {
            $(this).parent().find(".addTree").hide();
        }
        if ($(this).parent().find(".xl_common").is(":hidden")) {
            $(this).parent().find(".xl_common").show();
        }
        else {
            $(this).parent().find(".xl_common").hide();
        }
    });
    $(".inpBox").mouseleave(function () {
        $(this).children(".addTree").hide();
        $(this).children(".xl_common").hide();
    })
    $(".xl_box").on("click", "li", function () {
        var obj = $(this).parent().parent().parent();
        obj.find("input").eq(0).val($(this).text());
        obj.find("input").eq(1).val($(this).attr("itemid"));
        obj.find(".xl_common").hide();
    })
    $("input[name='ltype']").click(function () {
        var val = $("input[name='ltype']:checked").val();
        if (val == '0') {
            $(".js").show();
        }
        else if (val == '1') {
            $(".js").hide();
        }
    })
    if ($("#zrbmtree")) {
        getBM($("#zrbmtree"));
    }
})
function View(val) {
    return '<div class="imgs" ><a class="xg" onclick= ck("' + val + '") >' + val + '</a></div>';
}
function OverTime(val, row) {
    var cs = 'Ctime';
    if (row.LimitTime) {
        if (row.totalhour * 1 > row.LimitTime * 1) {
            cs = 'overTime';
        }
    }
    return '<div class="' + cs + '" ><a class="xg" ></a></div>';
}
function ck(val) {
    selid = val;
    $(".ckxq").removeClass("Hidens");
    $(".ckxq ul li").eq(0).trigger("click");
    xq();
}
function xq() {
    $.getJSON(huayi.config.callcenter_url+'WorkOrder/GetWorkOrder', { "orderid": selid, "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            if (result.data.data.length > 0) {
                var data = result.data.data[0];
                $("#xq_gdbh").text(data.WorkOrderID);
                $("#xq_gdlx").text(GetTypeName(data.Type));
                $("#xq_cjsj").text(data.CreateTime);
                $("#xq_gdzt").html(GetStateName(data.State));
                $("#xq_khxm").text(data.Customer);
                $("#xq_khdh").text(data.CustomerTel);
                $("#xq_wtlx").text(data.TypeClassName);
                $("#xq_zxgh").text(data.CreateUser);
                $("#xq_zxxm").text(data.CreateUserName);
                $("#xq_gdnr").text(data.Detail);

                $(".gdxq").eq(0).find(".allbc").remove();
                if (result.data.item.length > 0) {
                    var html = '<div class="allbc">补充记录'
                             + '<table class="table table-hover table-striped"><thead><tr><th><div class="th-inner">补充人</div></th>'
                             + '<th><div class="th-inner">补充详情</div></th><th><div class="th-inner">创建时间</div></th></tr></thead><tbody>';

                    $(result.data.item).each(function (i, n) {
                        html += '<td>' + n.CreateUserName + '</td><td>' + n.Detail + '</td><td>' + n.CreateTime + '</td>';
                    })
                    html += '</tbody></table></div>';
                    $(".gdxq").eq(0).append($(html));
                }
            }
        }
    })
}
function cljl(type) {
    //先销毁表格
    var table = $(".gdxq").eq(type).find("table");
    table.bootstrapTable('destroy');
    //初始化表格,动态从服务器加载数据
    table.bootstrapTable({
        method: "get",  //使用get请求到服务器获取数据
        url: huayi.config.callcenter_url+"WorkOrder/GetItemList", //获取数据的Servlet地址
        contentType: "application/x-www-form-urlencoded",striped: true,  //表格显示条纹
        pagination: true, //启动分页
        pageSize: 5,  //每页显示的记录数
        pageNumber: 1, //当前第几页
        pageList: [10, 20, 50, 100],  //记录数可选列表
        search: false,  //是否启用查询
        showColumns: false,  //显示下拉框勾选要显示的列
        showRefresh: false,  //显示刷新按钮
        sidePagination: "server", //表示服务端请求
        //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
        //设置为limit可以获取limit, offset, search, sort, order
        queryParamsType: "undefined",
        queryParams: function queryParams(params) {   //设置查询参数
            var param = {
                page: params.pageNumber,
                pagesize: params.pageSize,
                type: type,
                id: selid,
                token: $.cookie("token")
            };
            return param;
        },
        onLoadSuccess: function () {  //加载成功时执行
            //layer.msg("加载成功");
        },
        onLoadError: function () {  //加载失败时执行
            //layer.msg("加载数据失败", { time: 1500, icon: 2 });
        }
    });
}
function GetTypeName(val) {
    var str = '';
    switch (val + '') {
        case '1': str = "售前咨询"; break;
        case '2': str = "报修服务"; break;
        case '3': str = "投诉建议"; break;
    }
    return str;
}
function GetStateName(val) {
//  var str = '';
//  switch (val + '') {
//      case '0': str = "待指派"; break;
//      case '1': str = "处理中"; break;
//      case '2': str = "已完结"; break;
//  }
if(val==0){
	return '<div class="warning">待指派</div>'
}else if(val==1){
	return '<div class="primary">处理中</div>'
}else if(val==2){
	return '<div class="defauli">已完结</div>'
}
    return str;
}
function ComXQ(val, row) {
    var str = '';
    if (row.IsLast) {
        str = str + row.DealUserName + " 完结工单。" + "<br>";
    }
    if (row.DealTime) {
        str = str + row.DealUserName + " 处理工单：" + "<br>";
        str = str + row.Detail + "<br>";
    }
    if (row.SureUserName) {
        str = str + row.DealUserName + " 接单。" + "<br>";
    }
    if (row.ToDeptName) {
        str = str + row.CreateUserName + " 指派工单给 " + row.ToDeptName + " ";
        if (row.ToUserName) {
            str = str + row.ToUserName;
        }
        str = str + "<br>";
    }
    if (row.IsStart) {
        str = str + row.CreateUserName + " 重新开启工单。" + "<br>";
    }
    return str;
}
//获取部门
var setting = {
    data: {
        key: {
            name: "F_DeptName"
        },
        simpleData: {
            enable: true,
            idKey: "F_DeptId",
            pIdKey: "F_ParentId",
            rootPId: 0
        }
    },
    callback: {
        onClick: zTreeOnClick
    }
};
function getBM(obj) {
    $.getJSON(huayi.config.callcenter_url+'Department/GetAllList', { "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            $.fn.zTree.init(obj, setting, result.data);
        }
    })
}
function zTreeOnClick(event, treeId, treeNode) {
    if (event) {
        event.stopPropagation();
    }
    var obj = $("#" + event.data.treeId).parent();
    obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
    obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
    obj.hide();
    getRY($(".clid"), $("#clbm").val());
};
//获取人员
function getRY(obj, deptid) {
    obj.empty();
    obj.append('<li itemid="">--请选择--</li>');
    obj.parent().parent().find("input").eq(0).val("--请选择--");
    obj.parent().parent().find("input").eq(1).val("");
    $.getJSON(huayi.config.callcenter_url+'UserAccount/GetDeptUserList', { "deptid": deptid, "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            $(result.data).each(function (i, n) {
                obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
            })

            obj.find("li").click(function (event) {
                if (event) {
                    event.stopPropagation();
                }
                $(this).parent().parent().parent().find("input").eq(0).val($(this).text());
                $(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
                $(this).parent().parent().hide();
            });
        }
    })
}

function Appoint(val, row) {
    return czhtml(val, row, "处理");
}
function Dispose(val, row) {
    return czhtml(val, row, "处理");
}
function Expedite(val, row) {
    return czhtml(val, row, "催办");
}
function Comment(val, row) {
    return czhtml(val, row, "评论"); 
}
function czhtml(val, row,str) {
    return '<div class="imgs" ><a class="xg" itemstr=\'' + JSON.stringify(row) + '\' onclick= oper("' + val + '",this) >' + str + '</a></div>';
}
function oper(val, obj) {
    zpid = val;
    var zp = JSON.parse($(obj).attr("itemstr"));
    $("#cl_gdbh").text(zp.WorkOrderID);
    $("#cl_gdlx").text(GetTypeName(zp.Type));
    $("#cl_khxm").text(zp.Customer);
    $("#cl_khdh").text(zp.CustomerTel);
    $("#cl_gdnr").text(zp.Detail);

    $("#clbmname").val("");
    $("#clbm").val("");
    $("#clidname").val("");
    $("#clid").val("");
    $(".clid").empty();

    $("#cont").val("");

    $(".t-shade").addClass("cx");
    $(".clgd").addClass("cx");
}